lkml.org 
[lkml]   [2022]   [Jan]   [25]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 5.4 000/320] 5.4.174-rc1 review
On Mon, Jan 24, 2022 at 05:39:58PM -0600, Daniel Díaz wrote:
> Hello!
>
> On 1/24/22 12:39, Greg Kroah-Hartman wrote:
> > This is the start of the stable review cycle for the 5.4.174 release.
> > There are 320 patches in this series, all will be posted as a response
> > to this one. If anyone has any issues with these being applied, please
> > let me know.
> >
> > Responses should be made by Wed, 26 Jan 2022 18:39:11 +0000.
> > Anything received after that time might be too late.
> >
> > The whole patch series can be found in one patch at:
> > https://www.kernel.org/pub/linux/kernel/v5.x/stable-review/patch-5.4.174-rc1.gz
> > or in the git tree and branch at:
> > git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git linux-5.4.y
> > and the diffstat can be found below.
> >
> > thanks,
> >
> > greg k-h
>
> Regressions detected on arm, arm64, i386, x86, parisc.
>
> This is on Perf on arm, arm64, i386, x86:
>
> libbpf.c: In function 'bpf_object__elf_collect':
> libbpf.c:1581:31: error: invalid type argument of '->' (have 'GElf_Shdr' {aka 'Elf64_Shdr'})
> 1581 | if (sh->sh_type != SHT_PROGBITS)
> | ^~
> libbpf.c:1585:31: error: invalid type argument of '->' (have 'GElf_Shdr' {aka 'Elf64_Shdr'})
> 1585 | if (sh->sh_type != SHT_PROGBITS)
> | ^~
> make[4]: *** [/builds/linux/tools/build/Makefile.build:97: /home/tuxbuild/.cache/tuxmake/builds/current/staticobjs/libbpf.o] Error 1

libbpf is not perf :)

Anyway, I'll go drop the offending libbpf patch, thanks.

> This is from PA-RISC with gcc-8, gcc-9, gcc-10, gcc-11:
>
> /builds/linux/drivers/parisc/sba_iommu.c: In function 'sba_io_pdir_entry':
> /builds/linux/arch/parisc/include/asm/special_insns.h:11:3: error: expected ':' or ')' before 'ASM_EXCEPTIONTABLE_ENTRY'
> ASM_EXCEPTIONTABLE_ENTRY(8b, 9b) \
> ^~~~~~~~~~~~~~~~~~~~~~~~
>
>
> Bisection of the latter points to "parisc: Fix lpa and lpa_user defines".

thanks, will go drop this one from 5.4.

greg k-h

\
 
 \ /
  Last update: 2022-01-25 12:15    [W:0.690 / U:0.336 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site